program CAS;

uses
  Forms,
  cawMain in '..\w\CawMain.pas' {CaWinMain},
  CamConst in 'CamConst.pas',
  CafAdressdaten in '..\f\CafAdressdaten.pas' {FrmAdressdaten: TFrame},
  CaoCheck in '..\o\CaoCheck.pas',
  CafArtikel in '..\f\CafArtikel.pas' {FrmArtikeldaten: TFrame},
  CadAnbieter in '..\d\CadAnbieter.pas' {CaDlgAnbieter},
  CadArtikel in '..\d\CadArtikel.pas' {CaDlgArtikel},
  CadArtikelCodeAnzeige in '..\d\CadArtikelCodeAnzeige.pas' {CaDlgArtikelCodeAnzeige},
  CamTypes in 'CamTypes.pas',
  CafAnbieterUebersicht in '..\f\CafAnbieterUebersicht.pas' {FrmAnbieterUebersicht: TFrame},
  CadBaseDialog in '..\d\CadBaseDialog.pas' {CaDlgBaseDialog},
  CadBasisErfassen in '..\d\CadBasisErfassen.pas' {DlgBasisErfassen},
  CadAdministratorLogin in '..\d\CadAdministratorLogin.pas' {CaDlgAdministratorLogin},
  CadPasswortAendern in '..\d\CadPasswortAendern.pas' {CaDlgPasswortAendern},
  CadArtikelUebersicht in '..\d\CadArtikelUebersicht.pas' {CaDlgArtikelUebersicht},
  CafArtikelUebersicht in '..\f\CafArtikelUebersicht.pas' {FrmArtikelUebersicht: TFrame},
  CadEtikettenDrucken in '..\d\CadEtikettenDrucken.pas' {CaDlgEtikettenDrucken},
  CadAnzahlEtiketten in '..\d\CadAnzahlEtiketten.pas' {CaDlgAnzahlEtiketten},
  CadSplasScreen in '..\d\CadSplasScreen.pas' {CaDlgSplash},
  CadSchlussabrechnung in '..\d\CadSchlussabrechnung.pas' {CaDlgSchlussabrechnung},
  CadBoersenStart in '..\d\CadBoersenStart.pas' {CaDlgBoersenStart},
  CabDmo in '..\b\CabDmo.pas' {CaObDatenModul: TDataModule},
  CadAnbieterUebersicht in '..\d\CadAnbieterUebersicht.pas' {CaDlgAnbieterUebersicht},
  CaoPersonenListe in '..\o\CaoPersonenListe.PAS',
  CaoBaseClass in '..\o\CaoBaseClass.PAS',
  CaoDatenBank in '..\o\CaoDatenBank.PAS',
  CaoArtikelListe in '..\o\CaoArtikelListe.PAS',
  CaoBoersenInfo in '..\o\CaoBoersenInfo.PAS',
  CaoListeVonArtikelListen in '..\o\CaoListeVonArtikelListen.PAS',
  CaoFormat in '..\o\CaoFormat.PAS',
  CapBaseReport in '..\p\CapBaseReport.pas' {CaQrpBaseReport: TQuickRep},
  CapEtikettenReport in '..\p\CapEtikettenReport.pas' {CapQrEtikettenReport: TQuickRep},
  CapSteuerCodes in '..\p\CapSteuerCodes.pas' {CapQrSteuerCodes: TQuickRep},
  CadEinstellungen in '..\d\CadEinstellungen.pas' {CaDlgEinstellungen},
  CaoController in '..\o\CaoController.pas',
  CapQuittung in '..\p\CapQuittung.pas' {CaQrpQuittung: TQuickRep},
  CapAbschlussdaten in '..\p\CapAbschlussdaten.pas' {CaQrpAbschlussdaten: TQuickRep},
  CaoRegistry in '..\o\CaoRegistry.pas',
  CadAbout in '..\d\CadAbout.pas' {CaDlgAbout};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TCaObDatenModul, CaObDatenModul);
  Application.CreateForm(TCaWinMain, CaWinMain);
  Application.CreateForm(TCaDlgAbout, CaDlgAbout);
  g_obController          := TCaoController.Create;
  Application.CreateForm(TCaDlgSplash, CaDlgSplash);
  CaDlgSplash.Show;
  Application.CreateForm(TCaDlgAnbieter, CaDlgAnbieter);
  Application.CreateForm(TCaDlgArtikel, CaDlgArtikel);
  Application.CreateForm(TCaDlgArtikelCodeAnzeige, CaDlgArtikelCodeAnzeige);
  Application.CreateForm(TCaDlgAdministratorLogin, CaDlgAdministratorLogin);
  Application.CreateForm(TCaDlgPasswortAendern, CaDlgPasswortAendern);
  Application.CreateForm(TCaDlgArtikelUebersicht, CaDlgArtikelUebersicht);
  Application.CreateForm(TCaDlgEtikettenDrucken, CaDlgEtikettenDrucken);
  Application.CreateForm(TCaDlgAnzahlEtiketten, CaDlgAnzahlEtiketten);
  Application.CreateForm(TCaDlgSchlussabrechnung, CaDlgSchlussabrechnung);
  Application.CreateForm(TCaDlgBoersenStart, CaDlgBoersenStart);
  Application.CreateForm(TCaDlgAnbieterUebersicht, CaDlgAnbieterUebersicht);
  Application.CreateForm(TCapQrEtikettenReport, CapQrEtikettenReport);
  Application.CreateForm(TCapQrSteuerCodes, CapQrSteuerCodes);
  Application.CreateForm(TCaDlgEinstellungen, CaDlgEinstellungen);
  Application.CreateForm(TCaQrpQuittung, CaQrpQuittung);
  Application.CreateForm(TCaQrpAbschlussdaten, CaQrpAbschlussdaten);
  CaDlgSplash.Close;
  Application.Run;
  g_obController.Free;
end.
